=== debian/changelog ===
ros-lunar-swri-roscpp (2.9.0-1stretch) stretch; urgency=high

  * Add callback for on change for dynamic parameters (#540 <https://github.com/swri-robotics/marti_common/issues/540>)
  * Add topic service unit tests (#538 <https://github.com/swri-robotics/marti_common/issues/538>)
  * Contributors: Matthew, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-lunar-swri-roscpp (2.8.0-1stretch) stretch; urgency=high

  * Add dynamic parameters (#532 <https://github.com/swri-robotics/marti_common/issues/532>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-lunar-swri-roscpp (2.7.3-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-lunar-swri-roscpp (2.7.2-1stretch) stretch; urgency=high

  * Fix cmake macro for service_splitter.py (#535 <https://github.com/swri-robotics/marti_common/issues/535>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-lunar-swri-roscpp (2.7.1-1stretch) stretch; urgency=high

  * Fix conditional causing exists to not work properly. (#533 <https://github.com/swri-robotics/marti_common/issues/533>)
  * Remove non ascii character to please python (#530 <https://github.com/swri-robotics/marti_common/issues/530>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-lunar-swri-roscpp (2.7.0-1stretch) stretch; urgency=high

  * Add topic based services and associated cmake utils (#523 <https://github.com/swri-robotics/marti_common/issues/523>)
    Provide utilities for implementing service type requests using messages in an almost transparent way.
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-lunar-swri-roscpp (2.6.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-lunar-swri-roscpp (2.5.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-lunar-swri-roscpp (2.4.0-1stretch) stretch; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-lunar-swri-roscpp (2.3.0-1stretch) stretch; urgency=high

  * Only calculate statistics when messages arrive in order (#516 <https://github.com/swri-robotics/marti_common/issues/516>)
  * Contributors: David Anthony

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-lunar-swri-roscpp (2.2.1-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-lunar-swri-roscpp (2.2.0-1stretch) stretch; urgency=high

  * Fix crash from messages with null timestamps (#511 <https://github.com/swri-robotics/marti_common/issues/511>)
  * Contributors: Matthew

 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-lunar-swri-roscpp (2.1.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-lunar-swri-roscpp (2.0.0-1stretch) stretch; urgency=high

  * Ensure all swri::Subscriber members are initialized (#505 <https://github.com/swri-robotics/marti_common/issues/505>)
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-lunar-swri-roscpp (1.2.0-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-lunar-swri-roscpp (1.1.0-1stretch) stretch; urgency=high

  * Add OptionalDiagnosedPublisher class (#483 <https://github.com/pjreed/marti_common/issues/483>)
  * Contributors: Edward Venator, P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-lunar-swri-roscpp (1.0.0-1stretch) stretch; urgency=high

  * Add support for boost::function callbacks to swri::Subscriber.
  * Contributors: Elliot Johnson

 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-lunar-swri-roscpp (0.3.0-1stretch) stretch; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-lunar-swri-roscpp (0.2.4-1stretch) stretch; urgency=high

  * Port #385 <https://github.com/swri-robotics/marti_common/issues/385> and #419 <https://github.com/swri-robotics/marti_common/issues/419> to kinetic. (#420 <https://github.com/swri-robotics/marti_common/issues/420>)
    A common error when using unfamiliar ROS nodes is to accidentally set parameters
    by the wrong name. This feature allows the node author to output a WARNING
    for any unused parameters.
    Ported forward from indigo-devel
  * Contributors: Edward Venator

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-lunar-swri-roscpp (0.2.3-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-lunar-swri-roscpp (0.2.2-1stretch) stretch; urgency=high

  * Deprecate LatchedSubscriber. (#391 <https://github.com/swri-robotics/marti_common/issues/391>)
    LatchedSubscriber should be replaced with a swri::Subscriber that is
    initialized with the address of a location to store messages. This change
    makes for a simpler and more consistent interface, and avoids the confusion
    that comes from overloading the -> operator.
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-lunar-swri-roscpp (0.2.1-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-lunar-swri-roscpp (0.2.0-1stretch) stretch; urgency=high




