=== debian/control ===
Source: ros-lunar-swri-roscpp
Section: misc
Priority: extra
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-lunar-catkin, ros-lunar-diagnostic-updater, ros-lunar-dynamic-reconfigure, ros-lunar-marti-common-msgs, ros-lunar-message-generation, ros-lunar-message-runtime, ros-lunar-nav-msgs, ros-lunar-roscpp, ros-lunar-rostest, ros-lunar-rosunit, ros-lunar-std-msgs, ros-lunar-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-swri-roscpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-diagnostic-updater, ros-lunar-dynamic-reconfigure, ros-lunar-marti-common-msgs, ros-lunar-nav-msgs, ros-lunar-roscpp, ros-lunar-std-msgs, ros-lunar-std-srvs
Description: swri_roscpp
